Bug 1250359 - quota accounting can get messed up with race between rename and in-progress writes
quota accounting can get messed up with race between rename and in-progress w...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vijaikumar Mallikarjuna
:
Depends On:
Blocks: 1250361
  Show dependency treegraph
 
Reported: 2015-08-05 04:47 EDT by Vijaikumar Mallikarjuna
Modified: 2016-05-11 18:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1250361 (view as bug list)
Environment:
Last Closed: 2015-12-21 04:09:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaikumar Mallikarjuna 2015-08-05 04:47:53 EDT
Consider below scenario
1) rename FOP invoked on file 'x'
2) write is still in progress for file 'x'
3) rename takes a lock on old-parent
3) write-update txn blocked on old-parent
4) in rename_cbk, contri xattrs are removed and contribution is deleted and lock is released
5) now write-update txn gets the lock and updates the wrong parent
Comment 1 Vijaikumar Mallikarjuna 2015-12-21 04:09:37 EST
This issue has been fixed in 3.7 and here are the patch details:

upstream patch: http://review.gluster.org/11578
release-3.7 patch: http://review.gluster.org/#/c/11961/

Note You need to log in before you can comment on or make changes to this bug.